import os
import pandas as pd
import csv
import time
import pandavro as pdx
import numpy as np


start = time.time()

df = pd.read_parquet("data.parquet", columns=["NAME","EMPLOYER","TRANSACTION_AMT"])
end = time.time()
read_time = end-start


start = time.time()

df = pd.read_parquet("data.parquet")
end = time.time()
ac_read_time = end-start



print df.info()

print df[df.NAME.str.contains("MADDEN")]


start = time.time()

df_nc = pd.read_parquet("data.nocompress.parquet")


end = time.time()
nocompress_read_time = end-start

header = "CMTE_ID,AMNDT_IND,RPT_TP,TRANSACTION_PGI,IMAGE_NUM,TRANSACTION_TP,ENTITY_TP,NAME,CITY,STATE,ZIP_CODE,EMPLOYER,OCCUPATION,TRANSACTION_DT,TRANSACTION_AMT,OTHER_ID,TRAN_ID,FILE_NUM,MEMO_CD,MEMO_TEXT,SUB_ID".split(",")
PATH = "indiv20/by_date/itcont_2020_20010425_20190425.txt"

start = time.time()

df = pd.read_csv(PATH, delimiter='|', header=None, names=header)

end = time.time()
csv_time = end-start


print "all_columns_read = %.2f, subset_columns_read = %.2f, uncompressed_read=%.2f, csv_read=%.2f"%(ac_read_time, read_time, nocompress_read_time, csv_time)

